--TEST--
Nested Array Test
--FILE--
<?php

require dirname(__FILE__) . '/../Template.php';
$template = &new Horde_Template(dirname(__FILE__));
$categories = array('fruit', 'veggie', 'thing');
$subcats = array('fruit' => array('apple', 'pear'),
                 'veggie' => array('tomato', 'potato', 'carrot', 'onion'),
                 'thing' => array('spoon', 'paperbag', 'tool'));
$template->set('categories', $categories);
foreach ($categories as $c) {
    $template->set('subcat_' . $c, $subcats[$c]);
}
echo $template->fetch('/array_nested.html');

?>
--EXPECT--
fruit
    apple
    pear
veggie
    tomato
    potato
    carrot
    onion
thing
    spoon
    paperbag
    tool
