--TEST--
Text_Filter_html2text tests
--FILE--
<?php

require dirname(__FILE__) . '/../Filter.php';
$html = file_get_contents(dirname(__FILE__) . '/html.html');
echo Text_Filter::filter($html, 'html2text');

?>
--EXPECT--
INLINE FORMATTING

Some text with leading and trailing whitespace

	emphasis text		_emphasis text_
	strong text		STRONG TEXT
	italic text		_italic text_
	bold text		BOLD TEXT
	emphasis and strong		_EMPHASIS AND STRONG_
	underline text		underline text

-------------------------

LINKS

Horde Homepage[2]
Jan Schneider[3]

-------------------------

HEADINGS

  You can make various levels of heading by putting equals-signs
before and after the text (all on its own line):

LEVEL 3 HEADING

Level 4 Heading

Level 5 Heading

Level 6 Heading

-------------------------

BULLET LISTS

  You can create bullet lists by starting a paragraph with one or
more asterisks.

  * Bullet one

  * Sub-bullet

NUMBERED LISTS

  Similarly, you can create numbered lists by starting a paragraph
with one or more hashes.

  * Numero uno
  * Number two

  * Sub-item

MIXING BULLET AND NUMBER LIST ITEMS

  You can mix and match bullet and number lists:

  * Number one

  * Bullet
  * Bullet

  * Number two

  * Bullet
  * Bullet

  * Sub-bullet

  * Sub-sub-number
  * Sub-sub-number

  * Number three

  * Bullet
  * Bullet



Links:
------
[2] http://www.horde.org
[3] mailto:jan@horde.org
